"""v0.1.0_feature/#173

Revision ID: beccf439af5a
Revises: eb8557523406
Create Date: 2021-07-02 18:37:55.529209

"""
from alembic import op
import sqlalchemy as sa


from app.database import get_db_schema, engine

# revision identifiers, used by Alembic.
revision = 'beccf439af5a'
down_revision = 'eb8557523406'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('utxo', 'account_address',
               existing_type=sa.String(length=42),
               nullable=False, schema=get_db_schema())
    op.drop_index('ix_utxo_account_address', table_name='utxo', schema=get_db_schema())
    # ### end Alembic commands ###
    if engine.name == "postgresql":
        schema = get_db_schema()
        schema = f"{schema}." if schema is not None else ""
        op.execute(f"ALTER TABLE {schema}utxo DROP CONSTRAINT utxo_pkey CASCADE")
    elif engine.name == "mysql":
        op.execute("ALTER TABLE utxo DROP PRIMARY KEY")
    op.create_primary_key("utxo_pkey", "utxo", ["transaction_hash", "account_address"], schema=get_db_schema())

def downgrade():
    if engine.name == "postgresql":
        schema = get_db_schema()
        schema = f"{schema}." if schema is not None else ""
        op.execute(f"ALTER TABLE {schema}utxo DROP CONSTRAINT utxo_pkey CASCADE")
    elif engine.name == "mysql":
        op.execute("ALTER TABLE utxo DROP PRIMARY KEY")
    op.create_primary_key("utxo_pkey", "utxo", ["transaction_hash"], schema=get_db_schema())
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_index('ix_utxo_account_address', 'utxo', ['account_address'], unique=False, schema=get_db_schema())
    op.alter_column('utxo', 'account_address',
               existing_type=sa.String(length=42),
               nullable=True, schema=get_db_schema())
    # ### end Alembic commands ###
